View Issue Details

IDProjectCategoryLast Update
0021221AI War 2[All Projects] Bug - GameplayMay 31, 2019 3:20 pm
ReporterViss ValdyrAssigned Tox4000Bughunter 
Severitymajor 
Status resolvedResolutionfixed 
Product VersionBETA 0.861 Strength Of Remains 
Fixed in VersionBETA 0.863 Control of Capturables 
Summary0021221: Missing Quick Start New Campaign Interface
DescriptionReinstalled the Game again, didn't play for 3 months. Now the whole quick start UI is missing. I Deleted the APP Data Arcen folder, checked integrety, but to no avail
TagsNo tags attached.

Relationships

related to 0021029 resolvedRocketAssistedPuffin Get a whole new collection of quick starts in place prior to full 0.900 coming out. 

Activities

Viss Valdyr

May 21, 2019 2:09 am

reporter  

20190521080454_1.jpg (140,944 bytes)
20190521080454_1.jpg (140,944 bytes)

BadgerBadger

May 21, 2019 9:51 am

manager   ~0051708

Quick Starts are currently broken with the fleets update. That's one of the reasons that playing with Fleets in "beta" mode still

x4000Bughunter

May 21, 2019 10:34 am

administrator   ~0051710

Basically we broke the savegame format, which also broke the quick starts. And then with the lobby work I'm doing, there are some other changes to quick starts that are coming (under the hood) that should make them more robust in the future in terms of resilience to modifications to the game, etc.

Apthorpe

May 22, 2019 2:19 am

reporter   ~0051713

May be worth disabling the button until quick starts are available again, just to lessen any further confusion.

x4000Bughunter

May 31, 2019 3:20 pm

administrator   ~0051771

Thanks!

* Quick Starts have been added back into the game, and now function again.
** However, we had to create a whole new set of them, since the old quick starts were all in the old savegame format and also didn't really have settings that make sense anymore, anyway.
** The order for the categories of basic, moderate, and harder is now in the order you would naturally expect (1,2,3), and then the Fun With Factions are later on. As will any other generalized quick starts be.
** We have only added in three quick starts thus far, all in the basic category. The others we'll work on soon.
*** One has the classic fleet as the starting situation, with a difficulty 6 AI and 100 planets on a realistic map.
*** The next has the classic fleet, with two difficulty 6 AIs and a 120 planet Octopus map.
*** The last has the raid fleet, with one difficulty 7 AI, and then also the Zenith Trader wandering around. Clusters microcosm map.

Issue History

Date Modified Username Field Change
May 21, 2019 2:09 am Viss Valdyr New Issue
May 21, 2019 2:09 am Viss Valdyr File Added: 20190521080454_1.jpg
May 21, 2019 9:51 am BadgerBadger Note Added: 0051708
May 21, 2019 10:34 am x4000Bughunter Note Added: 0051710
May 22, 2019 2:19 am Apthorpe Note Added: 0051713
May 31, 2019 2:46 pm x4000Bughunter Relationship added related to 0021029
May 31, 2019 3:20 pm x4000Bughunter Assigned To => x4000Bughunter
May 31, 2019 3:20 pm x4000Bughunter Status new => resolved
May 31, 2019 3:20 pm x4000Bughunter Resolution open => fixed
May 31, 2019 3:20 pm x4000Bughunter Fixed in Version => BETA 0.863 Control of Capturables
May 31, 2019 3:20 pm x4000Bughunter Note Added: 0051771